# Threaded::pop

(PECL pthreads >= 2.0.0)

Threaded::pop — Manipulation

### Description

public Threaded::pop ( void ) : bool

Pops an item from the objects property table

### Return Values

The last item from the objects property table

### Examples

Example #1 Popping the last item from the property table of a threaded object

`<?php
$safe = new Threaded();
while (count($safe) < 10)
$safe[] = count($safe);
var_dump($safe->pop());
?>`

The above example will output:

    int(9)